Description

_WIN32 should be entered under PREDEFINED in doxygen/htmldocs.cfg so that the Windows specific parts of the documentation
(e.g. OFFile, OFCharacterEncoding) will be transformed into HTML.

Updated by Jorg Riesmeier 7 months ago
e Tracker changed from Feature to Bug

It also seems that the Defines in "osconfig.h" aren't evaluated. This explains why the new classes OFStandard::OFGroup and
OFStandard::OFPasswd are missing in the HTML documentation (generated on caesar)

History

#1 - 2012-09-28 10:16 - JOrg Riesmeier

- Tracker changed from Feature to Bug

Es scheint auch so zu sein, dass die Defines in der "osconfig.h" momentan nicht ausgewertet werden. So fehlt etwas die neue Klasse
OFStandard::OFGroup und OFStandard::OFPasswd in der HTML-Dokumentation (auf caesar generiert).

#2 - 2013-03-13 12:22 - Uli Schlachter

IMHO the best solution would be to add a new define DCMTK_RUNNING_UNDER_DOXYGEN and using that to modify all #ifdefs suitably. However,
this still sounds ugly. :-(

This awk-magic should produce all #ifs which possible might need an "|| defined(DCMTK_RUNNING_UNDER_DOXYGEN)":

awk '/~ *#.*ifn?def/ { file=FILENAME ; gsub(/.*\//, "", file) ; gsub(/\.h/, "", file) ; file=toupper (file) ;
if (!match($2, file)) { print FILENAME " " $0 } } /~ *#.*defined/ { print FILENAME " " $0}' $(find */include/
-type f£) | sort -u

#3 - 2013-03-13 12:28 - Jorg Riesmeier

Btw, it would also be interesting to mark the platform-specific APl in the documentation, i.e. add something like "Windows only" or "Unix only" ...

#4 - 2013-04-29 00:01 - Andrew Chiw

- Subject changed from Doxygen-API-Dokumentation fiir Windows-Systeme to Doxygen API documentation for Windows

#5 - 2017-03-24 12:44 - Marco Eichelberg

- Target version changed from 3.6.2 to 3.6.3

#6 - 2017-12-07 10:32 - Marco Eichelberg

The APl documentation should be generated such that all APIs are included in the documentation. For those methods, classes and functions that are

only available under certain conditions (compiling on Windows, compiling with OpenSSL etc.), notes should be added in the documentation explaining
under which conditions the method/class/function is available.

#7 - 2017-12-07 11:13 - Marco Eichelberg

Test of Redmine mail subsystem, please ignore.

#8 - 2018-02-05 19:39 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#9 - 2018-06-11 11:29 - Michael Onken

- Status changed from New to Closed

Closed by commit 9bf0e839e1c2128fdd3d4809705c196388af28cb.

#10 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
